// Code generated by protoc-gen-go. DO NOT EDIT.
// source: article.proto

package proto

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Article struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Slug                 string   `protobuf:"bytes,3,opt,name=slug,proto3" json:"slug,omitempty"`
	Body                 string   `protobuf:"bytes,4,opt,name=body,proto3" json:"body,omitempty"`
	UserId               string   `protobuf:"bytes,5,opt,name=userId,proto3" json:"userId,omitempty"`
	CreatedAt            string   `protobuf:"bytes,6,opt,name=createdAt,proto3" json:"createdAt,omitempty"`
	UpdatedAt            string   `protobuf:"bytes,7,opt,name=updatedAt,proto3" json:"updatedAt,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Article) Reset()         { *m = Article{} }
func (m *Article) String() string { return proto.CompactTextString(m) }
func (*Article) ProtoMessage()    {}
func (*Article) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c593d380f9840a2, []int{0}
}

func (m *Article) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Article.Unmarshal(m, b)
}
func (m *Article) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Article.Marshal(b, m, deterministic)
}
func (m *Article) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Article.Merge(m, src)
}
func (m *Article) XXX_Size() int {
	return xxx_messageInfo_Article.Size(m)
}
func (m *Article) XXX_DiscardUnknown() {
	xxx_messageInfo_Article.DiscardUnknown(m)
}

var xxx_messageInfo_Article proto.InternalMessageInfo

func (m *Article) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Article) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Article) GetSlug() string {
	if m != nil {
		return m.Slug
	}
	return ""
}

func (m *Article) GetBody() string {
	if m != nil {
		return m.Body
	}
	return ""
}

func (m *Article) GetUserId() string {
	if m != nil {
		return m.UserId
	}
	return ""
}

func (m *Article) GetCreatedAt() string {
	if m != nil {
		return m.CreatedAt
	}
	return ""
}

func (m *Article) GetUpdatedAt() string {
	if m != nil {
		return m.UpdatedAt
	}
	return ""
}

type ArticleListResponse struct {
	Article              []*Article `protobuf:"bytes,1,rep,name=article,proto3" json:"article,omitempty"`
	XXX_NoUnkeyedLiteral struct{}   `json:"-"`
	XXX_unrecognized     []byte     `json:"-"`
	XXX_sizecache        int32      `json:"-"`
}

func (m *ArticleListResponse) Reset()         { *m = ArticleListResponse{} }
func (m *ArticleListResponse) String() string { return proto.CompactTextString(m) }
func (*ArticleListResponse) ProtoMessage()    {}
func (*ArticleListResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c593d380f9840a2, []int{1}
}

func (m *ArticleListResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ArticleListResponse.Unmarshal(m, b)
}
func (m *ArticleListResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ArticleListResponse.Marshal(b, m, deterministic)
}
func (m *ArticleListResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ArticleListResponse.Merge(m, src)
}
func (m *ArticleListResponse) XXX_Size() int {
	return xxx_messageInfo_ArticleListResponse.Size(m)
}
func (m *ArticleListResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ArticleListResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ArticleListResponse proto.InternalMessageInfo

func (m *ArticleListResponse) GetArticle() []*Article {
	if m != nil {
		return m.Article
	}
	return nil
}

type Empty struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Empty) Reset()         { *m = Empty{} }
func (m *Empty) String() string { return proto.CompactTextString(m) }
func (*Empty) ProtoMessage()    {}
func (*Empty) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c593d380f9840a2, []int{2}
}

func (m *Empty) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Empty.Unmarshal(m, b)
}
func (m *Empty) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Empty.Marshal(b, m, deterministic)
}
func (m *Empty) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Empty.Merge(m, src)
}
func (m *Empty) XXX_Size() int {
	return xxx_messageInfo_Empty.Size(m)
}
func (m *Empty) XXX_DiscardUnknown() {
	xxx_messageInfo_Empty.DiscardUnknown(m)
}

var xxx_messageInfo_Empty proto.InternalMessageInfo

type ArticleInput struct {
	Name                 string   `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Slug                 string   `protobuf:"bytes,2,opt,name=slug,proto3" json:"slug,omitempty"`
	Body                 string   `protobuf:"bytes,3,opt,name=body,proto3" json:"body,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ArticleInput) Reset()         { *m = ArticleInput{} }
func (m *ArticleInput) String() string { return proto.CompactTextString(m) }
func (*ArticleInput) ProtoMessage()    {}
func (*ArticleInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c593d380f9840a2, []int{3}
}

func (m *ArticleInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ArticleInput.Unmarshal(m, b)
}
func (m *ArticleInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ArticleInput.Marshal(b, m, deterministic)
}
func (m *ArticleInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ArticleInput.Merge(m, src)
}
func (m *ArticleInput) XXX_Size() int {
	return xxx_messageInfo_ArticleInput.Size(m)
}
func (m *ArticleInput) XXX_DiscardUnknown() {
	xxx_messageInfo_ArticleInput.DiscardUnknown(m)
}

var xxx_messageInfo_ArticleInput proto.InternalMessageInfo

func (m *ArticleInput) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *ArticleInput) GetSlug() string {
	if m != nil {
		return m.Slug
	}
	return ""
}

func (m *ArticleInput) GetBody() string {
	if m != nil {
		return m.Body
	}
	return ""
}

type ArticleInputWithAuthorId struct {
	Name                 string   `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Slug                 string   `protobuf:"bytes,2,opt,name=slug,proto3" json:"slug,omitempty"`
	Body                 string   `protobuf:"bytes,3,opt,name=body,proto3" json:"body,omitempty"`
	AuthorId             string   `protobuf:"bytes,4,opt,name=authorId,proto3" json:"authorId,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ArticleInputWithAuthorId) Reset()         { *m = ArticleInputWithAuthorId{} }
func (m *ArticleInputWithAuthorId) String() string { return proto.CompactTextString(m) }
func (*ArticleInputWithAuthorId) ProtoMessage()    {}
func (*ArticleInputWithAuthorId) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c593d380f9840a2, []int{4}
}

func (m *ArticleInputWithAuthorId) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ArticleInputWithAuthorId.Unmarshal(m, b)
}
func (m *ArticleInputWithAuthorId) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ArticleInputWithAuthorId.Marshal(b, m, deterministic)
}
func (m *ArticleInputWithAuthorId) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ArticleInputWithAuthorId.Merge(m, src)
}
func (m *ArticleInputWithAuthorId) XXX_Size() int {
	return xxx_messageInfo_ArticleInputWithAuthorId.Size(m)
}
func (m *ArticleInputWithAuthorId) XXX_DiscardUnknown() {
	xxx_messageInfo_ArticleInputWithAuthorId.DiscardUnknown(m)
}

var xxx_messageInfo_ArticleInputWithAuthorId proto.InternalMessageInfo

func (m *ArticleInputWithAuthorId) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *ArticleInputWithAuthorId) GetSlug() string {
	if m != nil {
		return m.Slug
	}
	return ""
}

func (m *ArticleInputWithAuthorId) GetBody() string {
	if m != nil {
		return m.Body
	}
	return ""
}

func (m *ArticleInputWithAuthorId) GetAuthorId() string {
	if m != nil {
		return m.AuthorId
	}
	return ""
}

type ArticleIdInput struct {
	ArticleId            string   `protobuf:"bytes,1,opt,name=articleId,proto3" json:"articleId,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ArticleIdInput) Reset()         { *m = ArticleIdInput{} }
func (m *ArticleIdInput) String() string { return proto.CompactTextString(m) }
func (*ArticleIdInput) ProtoMessage()    {}
func (*ArticleIdInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c593d380f9840a2, []int{5}
}

func (m *ArticleIdInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ArticleIdInput.Unmarshal(m, b)
}
func (m *ArticleIdInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ArticleIdInput.Marshal(b, m, deterministic)
}
func (m *ArticleIdInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ArticleIdInput.Merge(m, src)
}
func (m *ArticleIdInput) XXX_Size() int {
	return xxx_messageInfo_ArticleIdInput.Size(m)
}
func (m *ArticleIdInput) XXX_DiscardUnknown() {
	xxx_messageInfo_ArticleIdInput.DiscardUnknown(m)
}

var xxx_messageInfo_ArticleIdInput proto.InternalMessageInfo

func (m *ArticleIdInput) GetArticleId() string {
	if m != nil {
		return m.ArticleId
	}
	return ""
}

type AuthorIdInput struct {
	AuthorId             string   `protobuf:"bytes,1,opt,name=authorId,proto3" json:"authorId,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *AuthorIdInput) Reset()         { *m = AuthorIdInput{} }
func (m *AuthorIdInput) String() string { return proto.CompactTextString(m) }
func (*AuthorIdInput) ProtoMessage()    {}
func (*AuthorIdInput) Descriptor() ([]byte, []int) {
	return fileDescriptor_5c593d380f9840a2, []int{6}
}

func (m *AuthorIdInput) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AuthorIdInput.Unmarshal(m, b)
}
func (m *AuthorIdInput) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AuthorIdInput.Marshal(b, m, deterministic)
}
func (m *AuthorIdInput) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AuthorIdInput.Merge(m, src)
}
func (m *AuthorIdInput) XXX_Size() int {
	return xxx_messageInfo_AuthorIdInput.Size(m)
}
func (m *AuthorIdInput) XXX_DiscardUnknown() {
	xxx_messageInfo_AuthorIdInput.DiscardUnknown(m)
}

var xxx_messageInfo_AuthorIdInput proto.InternalMessageInfo

func (m *AuthorIdInput) GetAuthorId() string {
	if m != nil {
		return m.AuthorId
	}
	return ""
}

func init() {
	proto.RegisterType((*Article)(nil), "proto.Article")
	proto.RegisterType((*ArticleListResponse)(nil), "proto.ArticleListResponse")
	proto.RegisterType((*Empty)(nil), "proto.Empty")
	proto.RegisterType((*ArticleInput)(nil), "proto.ArticleInput")
	proto.RegisterType((*ArticleInputWithAuthorId)(nil), "proto.ArticleInputWithAuthorId")
	proto.RegisterType((*ArticleIdInput)(nil), "proto.ArticleIdInput")
	proto.RegisterType((*AuthorIdInput)(nil), "proto.AuthorIdInput")
}

func init() { proto.RegisterFile("article.proto", fileDescriptor_5c593d380f9840a2) }

var fileDescriptor_5c593d380f9840a2 = []byte{
	// 385 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xa4, 0x52, 0xcb, 0x4a, 0xc3, 0x40,
	0x14, 0x6d, 0xd2, 0x47, 0xec, 0xed, 0x43, 0x98, 0x5a, 0x19, 0x43, 0xc1, 0x32, 0xab, 0x82, 0xd0,
	0x45, 0x05, 0x41, 0x37, 0xd2, 0x8a, 0x4a, 0x55, 0x5c, 0xd4, 0x85, 0xeb, 0xb4, 0x33, 0xd8, 0x81,
	0x36, 0x09, 0xc9, 0x44, 0xc8, 0x27, 0xf9, 0x4f, 0x7e, 0x8c, 0x64, 0x66, 0xf2, 0x2a, 0xd1, 0x8d,
	0xab, 0xcc, 0x3d, 0xe7, 0xe4, 0xdc, 0x7b, 0xee, 0x0c, 0xf4, 0x9c, 0x40, 0xf0, 0xcd, 0x8e, 0x4d,
	0xfd, 0xc0, 0x13, 0x1e, 0x6a, 0xca, 0x0f, 0xf9, 0x32, 0xc0, 0x9a, 0x2b, 0x02, 0xf5, 0xc1, 0xe4,
	0x14, 0x1b, 0x63, 0x63, 0xd2, 0x5e, 0x99, 0x9c, 0x22, 0x04, 0x0d, 0xd7, 0xd9, 0x33, 0x6c, 0x4a,
	0x44, 0x9e, 0x13, 0x2c, 0xdc, 0x45, 0x1f, 0xb8, 0xae, 0xb0, 0xe4, 0x9c, 0x60, 0x6b, 0x8f, 0xc6,
	0xb8, 0xa1, 0xb0, 0xe4, 0x8c, 0x4e, 0xa1, 0x15, 0x85, 0x2c, 0x58, 0x52, 0xdc, 0x94, 0xa8, 0xae,
	0xd0, 0x08, 0xda, 0x9b, 0x80, 0x39, 0x82, 0xd1, 0xb9, 0xc0, 0x2d, 0x49, 0xe5, 0x40, 0xc2, 0x46,
	0x3e, 0xd5, 0xac, 0xa5, 0xd8, 0x0c, 0x20, 0xb7, 0x30, 0xd0, 0xa3, 0xbe, 0xf0, 0x50, 0xac, 0x58,
	0xe8, 0x7b, 0x6e, 0xc8, 0xd0, 0x04, 0x2c, 0x1d, 0x0d, 0x1b, 0xe3, 0xfa, 0xa4, 0x33, 0xeb, 0xab,
	0x88, 0x53, 0x2d, 0x5e, 0xa5, 0x34, 0xb1, 0xa0, 0x79, 0xbf, 0xf7, 0x45, 0x4c, 0x9e, 0xa0, 0xab,
	0xc9, 0xa5, 0xeb, 0x47, 0x22, 0x4b, 0x6a, 0x54, 0x24, 0x35, 0x2b, 0x92, 0xd6, 0xf3, 0xa4, 0x24,
	0x00, 0x5c, 0xf4, 0x7a, 0xe7, 0x62, 0x3b, 0x8f, 0xc4, 0xd6, 0x4b, 0xd2, 0xfe, 0xc3, 0x17, 0xd9,
	0x70, 0xe4, 0x68, 0x1f, 0xbd, 0xd9, 0xac, 0x26, 0x53, 0xe8, 0xa7, 0x3d, 0xa9, 0x4a, 0x30, 0x82,
	0xb6, 0x93, 0x22, 0xba, 0x5d, 0x0e, 0x90, 0x0b, 0xe8, 0xa5, 0x33, 0x29, 0x79, 0xd1, 0xdc, 0x28,
	0x9b, 0xcf, 0xbe, 0xcd, 0xcc, 0xfd, 0x8d, 0x05, 0x9f, 0x7c, 0xc3, 0xd0, 0x15, 0xf4, 0xee, 0xe4,
	0x25, 0xa5, 0x4f, 0x65, 0x50, 0x5e, 0xb1, 0x34, 0xb5, 0x0f, 0xf6, 0x4e, 0x6a, 0xe8, 0x15, 0xce,
	0x4a, 0xff, 0x95, 0x96, 0x73, 0x5e, 0xe1, 0x51, 0x14, 0x54, 0xf8, 0x5d, 0x43, 0xe7, 0x91, 0x09,
	0x5d, 0x87, 0xa8, 0xab, 0x05, 0xf2, 0x52, 0x6d, 0xbb, 0x2c, 0x2f, 0xbe, 0x11, 0x52, 0x43, 0x37,
	0x70, 0xfc, 0xc0, 0x5d, 0xaa, 0xc9, 0x45, 0xbc, 0xa4, 0x68, 0x78, 0x30, 0x00, 0xfd, 0x2d, 0xc6,
	0x33, 0x0c, 0x0b, 0x6d, 0x17, 0x71, 0x16, 0xe1, 0x24, 0x95, 0x16, 0x97, 0xfb, 0xf7, 0x20, 0xeb,
	0x96, 0x24, 0x2f, 0x7f, 0x02, 0x00, 0x00, 0xff, 0xff, 0xc1, 0x9d, 0xc2, 0x66, 0x90, 0x03, 0x00,
	0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// ArticleServiceClient is the client API for ArticleService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type ArticleServiceClient interface {
	CreateArticle(ctx context.Context, in *ArticleInput, opts ...grpc.CallOption) (*Article, error)
	CreateArticleWithAuthorId(ctx context.Context, in *ArticleInputWithAuthorId, opts ...grpc.CallOption) (*Article, error)
	GetArticles(ctx context.Context, in *Empty, opts ...grpc.CallOption) (*ArticleListResponse, error)
	FindArticleById(ctx context.Context, in *ArticleIdInput, opts ...grpc.CallOption) (*Article, error)
	GetArticlesByAuthorId(ctx context.Context, in *AuthorIdInput, opts ...grpc.CallOption) (*ArticleListResponse, error)
}

type articleServiceClient struct {
	cc *grpc.ClientConn
}

func NewArticleServiceClient(cc *grpc.ClientConn) ArticleServiceClient {
	return &articleServiceClient{cc}
}

func (c *articleServiceClient) CreateArticle(ctx context.Context, in *ArticleInput, opts ...grpc.CallOption) (*Article, error) {
	out := new(Article)
	err := c.cc.Invoke(ctx, "/proto.ArticleService/CreateArticle", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *articleServiceClient) CreateArticleWithAuthorId(ctx context.Context, in *ArticleInputWithAuthorId, opts ...grpc.CallOption) (*Article, error) {
	out := new(Article)
	err := c.cc.Invoke(ctx, "/proto.ArticleService/CreateArticleWithAuthorId", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *articleServiceClient) GetArticles(ctx context.Context, in *Empty, opts ...grpc.CallOption) (*ArticleListResponse, error) {
	out := new(ArticleListResponse)
	err := c.cc.Invoke(ctx, "/proto.ArticleService/GetArticles", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *articleServiceClient) FindArticleById(ctx context.Context, in *ArticleIdInput, opts ...grpc.CallOption) (*Article, error) {
	out := new(Article)
	err := c.cc.Invoke(ctx, "/proto.ArticleService/FindArticleById", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *articleServiceClient) GetArticlesByAuthorId(ctx context.Context, in *AuthorIdInput, opts ...grpc.CallOption) (*ArticleListResponse, error) {
	out := new(ArticleListResponse)
	err := c.cc.Invoke(ctx, "/proto.ArticleService/GetArticlesByAuthorId", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ArticleServiceServer is the server API for ArticleService service.
type ArticleServiceServer interface {
	CreateArticle(context.Context, *ArticleInput) (*Article, error)
	CreateArticleWithAuthorId(context.Context, *ArticleInputWithAuthorId) (*Article, error)
	GetArticles(context.Context, *Empty) (*ArticleListResponse, error)
	FindArticleById(context.Context, *ArticleIdInput) (*Article, error)
	GetArticlesByAuthorId(context.Context, *AuthorIdInput) (*ArticleListResponse, error)
}

// UnimplementedArticleServiceServer can be embedded to have forward compatible implementations.
type UnimplementedArticleServiceServer struct {
}

func (*UnimplementedArticleServiceServer) CreateArticle(ctx context.Context, req *ArticleInput) (*Article, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateArticle not implemented")
}
func (*UnimplementedArticleServiceServer) CreateArticleWithAuthorId(ctx context.Context, req *ArticleInputWithAuthorId) (*Article, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateArticleWithAuthorId not implemented")
}
func (*UnimplementedArticleServiceServer) GetArticles(ctx context.Context, req *Empty) (*ArticleListResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetArticles not implemented")
}
func (*UnimplementedArticleServiceServer) FindArticleById(ctx context.Context, req *ArticleIdInput) (*Article, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FindArticleById not implemented")
}
func (*UnimplementedArticleServiceServer) GetArticlesByAuthorId(ctx context.Context, req *AuthorIdInput) (*ArticleListResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetArticlesByAuthorId not implemented")
}

func RegisterArticleServiceServer(s *grpc.Server, srv ArticleServiceServer) {
	s.RegisterService(&_ArticleService_serviceDesc, srv)
}

func _ArticleService_CreateArticle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ArticleInput)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ArticleServiceServer).CreateArticle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/proto.ArticleService/CreateArticle",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ArticleServiceServer).CreateArticle(ctx, req.(*ArticleInput))
	}
	return interceptor(ctx, in, info, handler)
}

func _ArticleService_CreateArticleWithAuthorId_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ArticleInputWithAuthorId)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ArticleServiceServer).CreateArticleWithAuthorId(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/proto.ArticleService/CreateArticleWithAuthorId",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ArticleServiceServer).CreateArticleWithAuthorId(ctx, req.(*ArticleInputWithAuthorId))
	}
	return interceptor(ctx, in, info, handler)
}

func _ArticleService_GetArticles_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ArticleServiceServer).GetArticles(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/proto.ArticleService/GetArticles",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ArticleServiceServer).GetArticles(ctx, req.(*Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _ArticleService_FindArticleById_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ArticleIdInput)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ArticleServiceServer).FindArticleById(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/proto.ArticleService/FindArticleById",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ArticleServiceServer).FindArticleById(ctx, req.(*ArticleIdInput))
	}
	return interceptor(ctx, in, info, handler)
}

func _ArticleService_GetArticlesByAuthorId_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AuthorIdInput)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ArticleServiceServer).GetArticlesByAuthorId(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/proto.ArticleService/GetArticlesByAuthorId",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ArticleServiceServer).GetArticlesByAuthorId(ctx, req.(*AuthorIdInput))
	}
	return interceptor(ctx, in, info, handler)
}

var _ArticleService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "proto.ArticleService",
	HandlerType: (*ArticleServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateArticle",
			Handler:    _ArticleService_CreateArticle_Handler,
		},
		{
			MethodName: "CreateArticleWithAuthorId",
			Handler:    _ArticleService_CreateArticleWithAuthorId_Handler,
		},
		{
			MethodName: "GetArticles",
			Handler:    _ArticleService_GetArticles_Handler,
		},
		{
			MethodName: "FindArticleById",
			Handler:    _ArticleService_FindArticleById_Handler,
		},
		{
			MethodName: "GetArticlesByAuthorId",
			Handler:    _ArticleService_GetArticlesByAuthorId_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "article.proto",
}
